apiVersion: "ryax.tech/v1"
kind: Functions
spec:
  id: videoframebyframe
  human_name: Cut video frame by frame
  type: python3
  version: "1.0"
  logo: logo.png
  inputs:
  - help: Video to be cut in any format accepted by OpenCV
    human_name: Video
    name: video
    type: file
  outputs:
  - help: A directory containing all frames of the input video
    human_name: Images
    name: frames
    type: directory